<script>
	export default {
		onLaunch: function() {
			// console.log('App Launch')
			//判断客户端类别
			if (/MicroMessenger/.test(window.navigator.userAgent)) {
				uni.setStorage({
					key:'userAgent',
					data:'wxAgent'
				});
				// console.log('handleAliPay 微信客户端');
			} else if (/AlipayClient/.test(window.navigator.userAgent)) {
				uni.setStorage({
					key:'userAgent',
					data:'aliAgent'
				});
				// console.log('handleAliPay 支付宝客户端');
			} else {
				uni.setStorage({
					key:'userAgent',
					data:'otherAgent'
				});
				// console.log('handleAliPay 其他浏览器');
			};
			// this.$wxApi.config();
		},
		onShow: function() {
			// console.log('App Show')
		},
		onHide: function() {
			// console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	@import "./static/css/iconfont.css";
	@import "uview-ui/index.scss";
	/*每个页面公共css */
</style>
